Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xslf.usermodel
Class ListAutoNumber

    java.lang.Object
      org.apache.poi.xslf.usermodel.ListAutoNumber

    public class ListAutoNumber

extends java.lang.Object

Specifies type of automatic numbered bullet points that should be applied to a paragraph.

Author:
  Yegor Kozlov

Field Summary
`static ListAutoNumber` | `ALPHA_LC_PARENT_BOTH` (a), (b), (c), ...
`static ListAutoNumber` | `ALPHA_LC_PARENT_R` a), b), c), ...
`static ListAutoNumber` | `ALPHA_LC_PERIOD` a., b., c., ...
`static ListAutoNumber` | `ALPHA_UC_PARENT_BOTH` (A), (B), (C), ...
`static ListAutoNumber` | `ALPHA_UC_PARENT_R` A), B), C), ...
`static ListAutoNumber` | `ALPHA_UC_PERIOD` A., B., C., ...
`static ListAutoNumber` | `ARABIC_PARENT_BOTH` (1), (2), (3), ...
`static ListAutoNumber` | `ARABIC_PARENT_R` 1), 2), 3), ...
`static ListAutoNumber` | `ARABIC_PERIOD` 1., 2., 3., ...
`static ListAutoNumber` | `ARABIC_PLAIN` 1, 2, 3, ...
`static ListAutoNumber` | `CIRCLE_NUM_DB_PLAIN` Dbl-byte circle numbers
`static ListAutoNumber` | `CIRCLE_NUM_WD_BLACK_PLAIN` Wingdings black circle numbers
`static ListAutoNumber` | `CIRCLE_NUM_WD_WHITE_PLAIN` Wingdings white circle numbers
`static ListAutoNumber` | `ROMAN_LC_PARENT_BOTH` (i), (ii), (iii), ...
`static ListAutoNumber` | `ROMAN_LC_PARENT_R` i), ii), iii), ...
`static ListAutoNumber` | `ROMAN_LC_PERIOD` i., ii., iii., ...
`static ListAutoNumber` | `ROMAN_UC_PARENT_BOTH` (I), (II), (III), ...
`static ListAutoNumber` | `ROMAN_UC_PARENT_R` I), II), III), ...
`static ListAutoNumber` | `ROMAN_UC_PERIOD` I., II., III., ...

Constructor Summary
`ListAutoNumber(int ordinal)`

Method Summary
`int` | `ordinal()`
`static ListAutoNumber[]` | `values()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALPHA_LC_PARENT_BOTH

    public static final ListAutoNumber ALPHA_LC_PARENT_BOTH

  (a), (b), (c), ...

### ALPHA_UC_PARENT_BOTH

    public static final ListAutoNumber ALPHA_UC_PARENT_BOTH

  (A), (B), (C), ...

### ALPHA_LC_PARENT_R

    public static final ListAutoNumber ALPHA_LC_PARENT_R

  a), b), c), ...

### ALPHA_UC_PARENT_R

    public static final ListAutoNumber ALPHA_UC_PARENT_R

  A), B), C), ...

### ALPHA_LC_PERIOD

    public static final ListAutoNumber ALPHA_LC_PERIOD

  a., b., c., ...

### ALPHA_UC_PERIOD

    public static final ListAutoNumber ALPHA_UC_PERIOD

  A., B., C., ...

### ARABIC_PARENT_BOTH

    public static final ListAutoNumber ARABIC_PARENT_BOTH

  (1), (2), (3), ...

### ARABIC_PARENT_R

    public static final ListAutoNumber ARABIC_PARENT_R

  1), 2), 3), ...

### ARABIC_PERIOD

    public static final ListAutoNumber ARABIC_PERIOD

  1., 2., 3., ...

### ARABIC_PLAIN

    public static final ListAutoNumber ARABIC_PLAIN

  1, 2, 3, ...

### ROMAN_LC_PARENT_BOTH

    public static final ListAutoNumber ROMAN_LC_PARENT_BOTH

  (i), (ii), (iii), ...

### ROMAN_UC_PARENT_BOTH

    public static final ListAutoNumber ROMAN_UC_PARENT_BOTH

  (I), (II), (III), ...

### ROMAN_LC_PARENT_R

    public static final ListAutoNumber ROMAN_LC_PARENT_R

  i), ii), iii), ...

### ROMAN_UC_PARENT_R

    public static final ListAutoNumber ROMAN_UC_PARENT_R

  I), II), III), ...

### ROMAN_LC_PERIOD

    public static final ListAutoNumber ROMAN_LC_PERIOD

  i., ii., iii., ...

### ROMAN_UC_PERIOD

    public static final ListAutoNumber ROMAN_UC_PERIOD

  I., II., III., ...

### CIRCLE_NUM_DB_PLAIN

    public static final ListAutoNumber CIRCLE_NUM_DB_PLAIN

  Dbl-byte circle numbers

### CIRCLE_NUM_WD_BLACK_PLAIN

    public static final ListAutoNumber CIRCLE_NUM_WD_BLACK_PLAIN

  Wingdings black circle numbers

### CIRCLE_NUM_WD_WHITE_PLAIN

    public static final ListAutoNumber CIRCLE_NUM_WD_WHITE_PLAIN

  Wingdings white circle numbers

Constructor Detail

### ListAutoNumber

    public ListAutoNumber(int ordinal)

Method Detail

### ordinal

    public int ordinal()

### values

    public static ListAutoNumber[] values()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD